.IFNDEF LOGFONT.DEFINED
USE "COSUTL.INC"
SET LOGFONT.DEFINED = 1
LENGTH LONG.S.LEN & LOCAL lfHeight$
LENGTH LONG.S.LEN & LOCAL lfWidth$
LENGTH LONG.S.LEN & LOCAL lfEscapement$
LENGTH LONG.S.LEN & LOCAL lfOrientation$
LENGTH LONG.S.LEN & LOCAL lfWeight$

  SET FW.DONTCARE   = 0
  SET FW.THIN       = 100
  SET FW.EXTRALIGHT = 200
  SET FW.LIGHT      = 300
  SET FW.NORMAL     = 400
  SET FW.MEDIUM     = 500
  SET FW.SEMIBOLD   = 600
  SET FW.BOLD       = 700
  SET FW.EXTRABOLD  = 800
  SET FW.HEAVY      = 900
  SET FW.ULTRALIGHT = 200 ! FW.EXTRALIGHT
  SET FW.REGULAR    = 400 ! FW.NORMAL
  SET FW.DEMIBOLD   = 600 ! FW.SEMIBOLD
  SET FW.ULTRABOLD  = 800 ! FW.EXTRABOLD
  SET FW.BLACK      = 900 ! FW.HEAVY


LENGTH BYTE.S.LEN & LOCAL lfItalic$
LENGTH BYTE.S.LEN & LOCAL lfUnderline$
LENGTH BYTE.S.LEN & LOCAL lfStrikeOut$

LENGTH BYTE.S.LEN & LOCAL lfCharSet$
  SET ANSI.CHARSET = 0
  SET DEFAULT.CHARSET = 1
  SET SYMBOL.CHARSET = 2
  SET OEM.CHARSET = 255

LENGTH BYTE.S.LEN & LOCAL lfOutPrecision$
  SET OUT.DEFAULT.PRECIS   = 0
  SET OUT.STRING.PRECIS    = 1
  SET OUT.CHARACTER.PRECIS = 2
  SET OUT.STROKE.PRECIS    = 3

LENGTH BYTE.S.LEN & LOCAL lfClipPrecision$
  SET CLIP.DEFAULT.PRECIS   = 0
  SET CLIP.CHARACTER.PRECIS = 1
  SET CLIP.STROKE.PRECIS    = 2

LENGTH BYTE.S.LEN & LOCAL lfQuality$
  SET DEFAULT.QUALITY = 0
  SET DRAFT.QUALITY   = 1
  SET PROOF.QUALITY   = 2

LENGTH BYTE.S.LEN & LOCAL lfPitchAndFamily$
  SET DEFAULT.PITCH  = 0
  SET FIXED.PITCH    = 1
  SET VARIABLE.PITCH = 2

  SET FF.DONTCARE   = 0 ! (0<<4) Don't care or don't know.
  SET FF.ROMAN      = 16 ! (1<<4) Variable stroke width, serifed.
           ! Times Roman, Century Schoolbook, etc.
  SET FF.SWISS      = 32 ! (2<<4) Variable stroke width, sans-serifed.
           ! Helvetica, Swiss, etc.
  SET FF.MODERN     = 48 ! (3<<4) Constant stroke width, serifed or sans-serifed
           ! Pica, Elite, Courier, etc.
  SET FF.SCRIPT     = 64 ! (4<<4) Cursive, etc.
  SET FF.DECORATIVE = 80 ! (5<<4) Old English, etc.

LENGTH 32    & LOCAL lfFaceName$

LogFont: Format _
 lfHeight$; _
 lfWidth$; _
 lfEscapement$; _
 lfOrientation$; _
 lfWeight$; _
 lfItalic$; _
 lfUnderline$; _
 lfStrikeOut$; _
 lfCharSet$; _
 lfOutPrecision$; _
 lfClipPrecision$; _
 lfQuality$; _
 lfPitchAndFamily$; _
 lfFaceName$

FMT.SelectFont: Format (SelectFont); _
 lfHeight$; _
 lfWidth$; _
 lfEscapement$; _
 lfOrientation$; _
 lfWeight$; _
 lfItalic$; _
 lfUnderline$; _
 lfStrikeOut$; _
 lfCharSet$; _
 lfOutPrecision$; _
 lfClipPrecision$; _
 lfQuality$; _
 lfPitchAndFamily$; _
 lfFaceName$
.ENDIF

