.IFNDEF COSGDID.DEFINED
SET COSGDID.DEFINED = 1
Include "LogFont.Inc", "Wdl"

!GetFontInfo
   SET GDI.FONT.HEIGHT        = 0
   SET GDI.FONT.EXTLEADING    = 1
   SET GDI.FONT.AVECHARWIDTH  = 2
   SET GDI.FONT.MAXCHARWIDTH  = 3
   SET GDI.FONT.WEIGHT        = 4

!SelectPen
   SET GDI.PS.SOLID           = 0
   SET GDI.PS.DASH            = 1
   SET GDI.PS.DOT             = 2
   SET GDI.PS.DASHDOT         = 3
   SET GDI.PS.DASHDOTDOT      = 4
   SET GDI.PS.NULL            = 5
   SET GDI.PS.INSIDEFRAME     = 6

!SelectHatchBrush
   SET GDI.HS.HORIZONTAL      = 0
   SET GDI.HS.VERTICAL        = 1
   SET GDI.HS.FDIAGONAL       = 2
   SET GDI.HS.BDIAGONAL       = 3
   SET GDI.HS.CROSS           = 4
   SET GDI.HS.DIAGCROSS       = 5

!SetBkMode
   SET GDI.BK.TRANSPARENT     = 1
   SET GDI.BK.OPAQUE          = 2

!SetTextlign
   SET GDI.TA.NOUPDATECP      = 0
   SET GDI.TA.UPDATECP        = 1
   SET GDI.TA.LEFT            = 0
   SET GDI.TA.RIGHT           = 2
   SET GDI.TA.CENTER          = 6
   SET GDI.TA.TOP             = 0
   SET GDI.TA.BOTTOM          = 8
   SET GDI.TA.BASELINE        = 24

!DrawBitMap
   SET GDI.BM.FIT.TO.RECT     = 1
   SET GDI.BM.CENTER.HZ.RECT  = 2
   SET GDI.BM.CENTER.VT.RECT  = 4
   SET GDI.BM.SCALE           = 8
	SET GDI.BM.TRANSPARENT		= 16

!SetROP2
   SET R2.BLACK               = 1
   SET R2.NOTMERGEPEN         = 2
   SET R2.MASKNOTPEN          = 3
   SET R2.NOTCOPYPEN          = 4
   SET R2.MASKPENNOT          = 5
   SET R2.NOT                 = 6
   SET R2.XORPEN              = 7
   SET R2.NOTMASKPEN          = 8
   SET R2.MASKPEN             = 9
   SET R2.NOTXORPEN           = 10
   SET R2.NOP                 = 11
   SET R2.MERGENOTPEN         = 12
   SET R2.COPYPEN             = 13
   SET R2.MERGEPENNOT         = 14
   SET R2.MERGEPEN            = 15
   SET R2.WHITE               = 16



!DrawText
.IFNDEF DRAW.TEXT.DEFINED
SET DRAW.TEXT.DEFINED = 1
!
! These constants are duplicated in #windows
! DrawText() Format Flags
   SET DT.TOP                 = 0
   SET DT.LEFT                = 0
   SET DT.CENTER              = 1
   SET DT.RIGHT               = 2
   SET DT.VCENTER             = 4
   SET DT.BOTTOM              = 8
   SET DT.WORDBREAK           = 16
   SET DT.SINGLELINE          = 32
   SET DT.EXPANDTABS          = 64
   SET DT.TABSTOP             = 128
   SET DT.NOCLIP              = 256
   SET DT.EXTERNALLEADING     = 512
   SET DT.CALCRECT            = 1024
   SET DT.NOPREFIX            = 2048
   SET DT.INTERNAL            = 4096
   SET DT.EDITCONTROL         = 8192
   SET DT.PATH.ELLIPSIS       = 16384
   SET DT.END.ELLIPSIS        = 32768
   SET DT.MODIFYSTRING        = 65536
   SET DT.RTLREADING          = 131072
   SET DT.WORD.ELLIPSIS       = 262144
.ENDIF   ! DRAW.TEXT.DEFINED
.ENDIF   ! COSGDID.DEFINED
