.IFNDEF COS.SCROLL.DEFINED
Set COS.SCROLL.DEFINED = TRUE

!====================================
! WM.H/VSCROLL commands
!====================================
Set SB.LINEUP			= 0		! INTEL(0)
Set SB.LINELEFT		= 0		! INTEL(0)
Set SB.LINEDOWN		= 1		! INTEL(1)
Set SB.LINERIGHT		= 1		! INTEL(1)
Set SB.PAGEUP			= 2		! INTEL(2)
Set SB.PAGELEFT		= 2		! INTEL(2)
Set SB.PAGEDOWN		= 3		! INTEL(3)
Set SB.PAGERIGHT		= 3		! INTEL(3)
Set SB.THUMBPOSITION	= 4		! INTEL(4)
Set SB.THUMBTRACK		= 5		! INTEL(5)
Set SB.TOP				= 6		! INTEL(6)
Set SB.LEFT				= 6		! INTEL(6)
Set SB.BOTTOM			= 7		! INTEL(7)
Set SB.RIGHT			= 7		! INTEL(7)
Set SB.ENDSCROLL		= 8		! INTEL(8)

Set SBM.SETPOS				= 224 !0x00E0
Set SBM.GETPOS				= 225 !0x00E1
Set SBM.SETRANGE			= 226 !0x00E2
Set SBM.GETRANGE			= 227 !0x00E3
Set SBM.ENABLE.ARROWS	= 228 !0x00E4
	Set ESB.ENABLE.BOTH		= 0 ! Enables both arrows on a scroll bar.
	Set ESB.DISABLE.BOTH		= 3 ! Disables both arrows on a scroll bar.
	Set ESB.DISABLE.LEFT		= 1 ! Disables the left arrow on a horizontal scroll bar.
	Set ESB.DISABLE.RIGHT	= 2 ! Disables the left arrow on a horizontal scroll bar.
	Set ESB.DISABLE.UP		= 1 ! Disables the up arrow on a vertical scroll bar.
	Set ESB.DISABLE.DOWN		= 2 ! Disables the down arrow on a vertical scroll bar.
	Set ESB.DISABLE.LTUP		= 1 ! Disables the left arrow on a horizontal scroll bar or the up arrow on a vertical scroll bar.
	Set ESB.DISABLE.RTDN		= 2 ! Disables the right arrow on a horizontal scroll bar or the down arrow on a vertical scroll bar.

Set SBM.SETRANGEREDRAW	= 230 !0x00E6
Set SBM.SETSCROLLINFO	= 233 !0x00E9
Set SBM.GETSCROLLINFO	= 234 !0x00EA
	Set SIF.RANGE				= 1
	Set SIF.PAGE				= 2
	Set SIF.POS					= 4
	Set SIF.DISABLENOSCROLL	= 8
	Set SIF.TRACKPOS			= 16
	Set SIF.ALL					= 23	! (SIF.RANGE | SIF.PAGE | SIF.POS | SIF.TRACKPOS)

! Scroll Bar Styles
Set SBS.HORZ							= 0
Set SBS.VERT							= 1
Set SBS.TOPALIGN						= 2
Set SBS.LEFTALIGN						= 2
Set SBS.BOTTOMALIGN					= 4
Set SBS.RIGHTALIGN					= 4
Set SBS.SIZEBOXTOPLEFTALIGN		= 2
Set SBS.SIZEBOXBOTTOMRIGHTALIGN	= 4
Set SBS.SIZEBOX						= 8
Set SBS.SIZEGRIP						= 16

.IFDEF JUNK
typedef struct tagSCROLLINFO
{
    UINT    cbSize;
    UINT    fMask;
    int     nMin;
    int     nMax;
    UINT    nPage;
    int     nPos;
    int     nTrackPos;
}   SCROLLINFO;
.ENDIF
.ENDIF	! COS.SCROLL.DEFINED
